La commande apt get install retourne un message d'erreur [Résolu/Fermé]

Signaler
Messages postés
59
Date d'inscription
lundi 18 février 2008
Statut
Membre
Dernière intervention
30 juillet 2014
-
boly38
Messages postés
271
Date d'inscription
mercredi 23 février 2011
Statut
Membre
Dernière intervention
29 septembre 2016
-
Bonjour,
Mon problème est qu'il m'est impossible de télécharger des paquets avec la commande ""apt get install"
J'ai toujours en retour un message d'erreur qui est:"E: Impossible de récupérer quelques archives, peut-être devrez-vous lancer apt-get update ou essayer avec --fix-missing ?"
Est ce que quelqu'un pourrait me dire d'où viens ce problème SVP

13 réponses

Messages postés
1011
Date d'inscription
dimanche 28 décembre 2008
Statut
Membre
Dernière intervention
29 août 2019
75
Bonjour,
Il y a un tiret entre apt et get .Pouvez-vous copier ici la commande que vous faites? Merci


L'ennemi est bête, il croit que c'est nous l'ennemi alors que c'est lui (P. Desproges)
Messages postés
59
Date d'inscription
lundi 18 février 2008
Statut
Membre
Dernière intervention
30 juillet 2014

Merci de me répondre

Sinon oui je sais qu'il y a un tiret entre les deux bref voila un exemple d'une commande où il me donne une erreur
"apt-get install openjdk-6-jdk" ou encore apt-get update
Quel est le nom de la distribution linux ?
Flachy Joe
Messages postés
2120
Date d'inscription
jeudi 16 septembre 2004
Statut
Membre
Dernière intervention
4 novembre 2019
222
sur ubuntu, la commande est
sudo apt-get install nom_programme
sudo apt-get update
etc...
Toujours sudo devant.
fmaohmrmb
Messages postés
59
Date d'inscription
lundi 18 février 2008
Statut
Membre
Dernière intervention
30 juillet 2014

Oui je précède toujours sudo même étant ROOT mais ça passe pas je sais pas ce qui cloche!!!!
Messages postés
2710
Date d'inscription
mercredi 28 mai 2008
Statut
Membre
Dernière intervention
30 janvier 2015
542
les dépots sont bien renseignés?
Messages postés
1011
Date d'inscription
dimanche 28 décembre 2008
Statut
Membre
Dernière intervention
29 août 2019
75
et en administrateur? (je suppose...sinon ça averti)
Messages postés
59
Date d'inscription
lundi 18 février 2008
Statut
Membre
Dernière intervention
30 juillet 2014

Oui c'est en etant Admin que j'exécute ces commandes sinon ça veux dire quoi "les dépots sont bien renseignés?"?
A vrai ce message m'empêche d'avancer parce que à chaque que je veux installer un paquetage ça me bloque,si vous pouviez m'aider svp!!!
J'utilise ubuntu 10.10
Messages postés
2120
Date d'inscription
jeudi 16 septembre 2004
Statut
Membre
Dernière intervention
4 novembre 2019
222
Salut,
vérifie, en tant qu'admin, que la commande wget fonctionne bien :
sudo wget http://www.commentcamarche.net/forum/affich-26764914-la-commande-apt-get-install-retourne-un-message-d-erreur#newanswer 

le message de retour doit se terminer par
«affich-26764914-la-commande-apt-get-install-retourne-un-message-d-erreur» sauvegardé


;-) Flachy Joe ;-)
Messages postés
59
Date d'inscription
lundi 18 février 2008
Statut
Membre
Dernière intervention
30 juillet 2014

C'est le cas elle s'est bien terminer par""2012-12-28 15:10:48 (33,6 KB/s) - «affich-26764914-la-commande-apt-get-install-retourne-un-message-d-erreur» sauvegardé [52187]"""

Donc ça signifie quoi?
Messages postés
59
Date d'inscription
lundi 18 février 2008
Statut
Membre
Dernière intervention
30 juillet 2014

Je sais qu'elle a sauvegarder cette page mais sinon ça prouve quoi d'autre? est-ce le apt-get qui cause problème?
Messages postés
2120
Date d'inscription
jeudi 16 septembre 2004
Statut
Membre
Dernière intervention
4 novembre 2019
222
C'était juste pour vérifier qu'il n'y avait pas de souci de connexion internet.
Peut tu nous fournir le contenu de fichier /etc/apt/sources.list et/ou de tous les fichiers du répertoire /etc/apt/sources.list.d/ ?
Messages postés
59
Date d'inscription
lundi 18 février 2008
Statut
Membre
Dernière intervention
30 juillet 2014

dans le fichier "sources.list" voici son contenu:"""

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://archive.ubuntu.com/ubuntu/ maverick main restricted
deb-src http://archive.ubuntu.com/ubuntu/ maverick main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://archive.ubuntu.com/ubuntu/ maverick-updates main restricted
deb-src http://archive.ubuntu.com/ubuntu/ maverick-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu/ maverick universe
deb-src http://archive.ubuntu.com/ubuntu/ maverick universe
deb http://archive.ubuntu.com/ubuntu/ maverick-updates universe
deb-src http://archive.ubuntu.com/ubuntu/ maverick-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://archive.ubuntu.com/ubuntu/ maverick multiverse
deb-src http://archive.ubuntu.com/ubuntu/ maverick multiverse
deb http://archive.ubuntu.com/ubuntu/ maverick-updates multiverse
deb-src http://archive.ubuntu.com/ubuntu/ maverick-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://archive.ubuntu.com/ubuntu/ maverick-backports main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu/ maverick-backports main restricted universe multiverse""""
Messages postés
59
Date d'inscription
lundi 18 février 2008
Statut
Membre
Dernière intervention
30 juillet 2014

Et dans le repertoire ""sources.list.d"" ja'i qu'un seul fichier qui maverick-dell.list
Et son contenu est:
deb http://dell.archive.canonical.com/updates/ maverick-dell public
deb-src http://dell.archive.canonical.com/updates/ maverick-dell public

voila
Messages postés
2120
Date d'inscription
jeudi 16 septembre 2004
Statut
Membre
Dernière intervention
4 novembre 2019
222
Il y a bien un problème de configuration : il n'existe pas de dossier maverick dans http://archive.ubuntu.com/ubuntu/dists/

C'est d'ailleurs normal puisque la version 10.10 n'est plus maintenue (c'est les versions .04 qui le reste plus longtemps) il faut donc que tu mette à jour vers une version plus récente.

Ue possibilité pour ça est de remplacer ton fichier sources.list par des références à la 12.10
deb http://archive.ubuntu.com/ubuntu/ quantal main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ quantal main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ quantal-updates main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ quantal-updates main restricted universe multiverse 

Ensuite :
sudo apt-get update && sudo apt-get upgrade
Ça peut prendre un moment...
fmaohmrmb
Messages postés
59
Date d'inscription
lundi 18 février 2008
Statut
Membre
Dernière intervention
30 juillet 2014

j'ai remplacé le contenu du fichier sources.list par ces lignes
Ensuite j'ai lancer sudo apt-get update ET sudo apt-get upgrade
Mais cette fois le message d'erreur est:
E: Couldn't configure pre-depend multiarch-support for libnih-dbus1, probably a dependency cycle.
fmaohmrmb
Messages postés
59
Date d'inscription
lundi 18 février 2008
Statut
Membre
Dernière intervention
30 juillet 2014

Et depuis que j'ai lancé cette mis à jour mon pc me dis "aucune connexion réseau disponible" donc pour résoudre ce problème je dois démarrer ma machine avec le câble réseau branché autrement j'ai aucune connexion à part le wi-fi
fmaohmrmb
Messages postés
59
Date d'inscription
lundi 18 février 2008
Statut
Membre
Dernière intervention
30 juillet 2014

donc si t'as une idée svp
Flachy Joe
Messages postés
2120
Date d'inscription
jeudi 16 septembre 2004
Statut
Membre
Dernière intervention
4 novembre 2019
222
Tente un dist-upgrade :
sudo apt-get dist-upgrade
fmaohmrmb
Messages postés
59
Date d'inscription
lundi 18 février 2008
Statut
Membre
Dernière intervention
30 juillet 2014

Un problème aprés un autre, là le système ne démarre pas, après avoir lancer "sudo apt-get dist-upgrade" ja'i un écran noir avec un message"cheeking batterie state"
J'ai fais quelques recherches et là j'ai vu que c'est dû à la mise a jour apporter au pilote graphique
Bon j'ai suivie quelques étapes mais rien n'y fais,!!!!!Je suis bloquée
Messages postés
2120
Date d'inscription
jeudi 16 septembre 2004
Statut
Membre
Dernière intervention
4 novembre 2019
222
Si tu veux pas t'embêter, télécharge l'image disque d'Ubuntu 12.10 et réinstalle, tes données ne devrait pas être affectées (fais une sauvegarde quand même) et les configurations qui vont bien seront mises en place.
Sinon donne quelques détails sur ce problème de pilote...

;-) Flachy Joe ;-)
fmaohmrmb
Messages postés
59
Date d'inscription
lundi 18 février 2008
Statut
Membre
Dernière intervention
30 juillet 2014

Je viens de télécharger l'image ISO de la version 12.10 dekstop i386
J'ai vérifier l'intégrité tout semble ok jusqu'à là
je me lance dans l'installation je vous tiens au courant mais est ce que cette version est la bonne?est-ce que tu m'aurais conseiller?
fmaohmrmb
Messages postés
59
Date d'inscription
lundi 18 février 2008
Statut
Membre
Dernière intervention
30 juillet 2014

c'est bon le problème est résolu Merci à vous tous et très bonne journée
boly38
Messages postés
271
Date d'inscription
mercredi 23 février 2011
Statut
Membre
Dernière intervention
29 septembre 2016
74
tu peux mettre cette question en "[Resolue]" stp ?